Wireless Extensions v18 and Hostap-Driver v0.3.7

Jouni Malinen jkmaline at cc.hut.fi
Sun May 8 02:48:11 EDT 2005


On Thu, Apr 28, 2005 at 12:22:30PM -0400, Tony Espy wrote:

> I recently upgraded to the hostap-driver v0.3.7.  Now when I run 
> 'iwconfig' it outputs the message:
> 
> 'Warning: Driver for device wifi0 recommend version 18 of Wireless 
> Extension, but has been compiled with version 15, therefore some driver 
> features may not be available...'

> (1) Is there any way of surpressing this message short of hacking the 
> iwconfig code?

Like hacking some other code? Of course you can change the driver, but I
don't see why that would be any better than changing iwconfig not to
print this warning or build it with WE-18 header files. Of course,
another option would be to direct the output to /dev/null.

> (2) What's the current state of WE version 18?

WE-18 is ready and hopefully included in the next kernel version.

> (3) Are there any major gotchas in trying to bring our kernel up to a 
> later WE version?

I'm not aware of any major problems in doing this.

>  Are there any major advantages in picking up a later 
> verion of WE ( ie. post v15 ).

Depends on whether you need the new features added after v15..

-- 
Jouni Malinen                                            PGP id EFC895FA



More information about the HostAP mailing list